﻿@using System.Web.UI.WebControls;
@using Portal.Models.AdditionalDelivery;

<script type="text/javascript">
    function btnCancelAddToGrid_Click(s, e) {
        popupAddTrackingScreen.Hide();
        clearScreen();
    }

    function clearScreen() {
        grlDockWo.SetText('');
        grlSupplierWo.SetText('');

        PickupDateArrival.SetText('');
        PickupDateDeparture.SetText('');

        PickupTimeArrival.SetText('00:00:00');
        PickupTimeArrival.Focus();
        PickupTimeDeparture.SetText('00:00:00');
        PickupTimeDeparture.Focus();
    }

    function grlDockWo_ValueChanged(s, e) {
        if (grlDockWo.GetText() != "") {
            grlSupplierWo.SetText('');
            grlSupplierWo.SetEnabled(false);
        } else {
            grlSupplierWo.SetEnabled(true);
        }
    }

    function grlSupplierWo_ValueChanged(s, e) {
        if (grlSupplierWo.GetText() != "") {
            grlDockWo.SetText('');
            grlDockWo.SetEnabled(false);
        } else {
            grlDockWo.SetEnabled(true);
        }
    }
</script>

<table width="100%">
    <tr>
        <td>Dock Code</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlDockWo";
                s.GridProperties.Name = "grlDockWoGrid";
                s.GridProperties.KeyFieldName = "DockCode";
                s.Width = 150;
                s.GridProperties.Width = 250;
                s.GridProperties.CallbackRouteValues = new { Controller = "AdditionalDelivery", Action = "GetDockComboWo" };
                s.GridProperties.Height = 80;
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.SettingsPager.AlwaysShowPager = false;
                s.GridProperties.SettingsPager.PageSize = 100;
                s.ButtonClick = "grlDockWo_ValueChanged";
                s.TextChanged = "grlDockWo_ValueChanged";
                s.ValueChanged = "grlDockWo_ValueChanged";
                
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "DockCode";
                    c.FieldName = "DockCode";
                    c.Caption = "Dock Code";
                    c.Width = Unit.Pixel(100);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });

            }).Bind(ViewData["WoDockData"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>Supplier-Plant</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            s =>
            {
                s.Name = "grlSupplierWo";
                s.GridProperties.Name = "grlSupplierWoGrid";
                s.GridProperties.KeyFieldName = "SupplierCodePlant";
                s.Width = 150;
                s.GridProperties.Width = 250;
                s.GridProperties.CallbackRouteValues = new { Controller = "AdditionalDelivery", Action = "GetSupplierComboWo" };
                s.GridProperties.Height = 80;
                s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                s.GridProperties.SettingsPager.AlwaysShowPager = false;
                s.GridProperties.SettingsPager.PageSize = 100;
                s.ButtonClick = "grlSupplierWo_ValueChanged";
                s.TextChanged = "grlSupplierWo_ValueChanged";
                s.ValueChanged = "grlSupplierWo_ValueChanged";
                
                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierCode";
                    c.FieldName = "SupplierCodePlant";
                    c.Caption = "Supplier - Plant";

                    c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });

                s.GridProperties.Columns.Add(c =>
                {
                    c.Name = "SupplierName";
                    c.FieldName = "SupplierName";
                    c.Caption = "Supplier Name";

                    c.Width = Unit.Pixel(250);
                    c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                });
            }).Bind(ViewData["WoSupplierData"]).GetHtml()
        </td>
    </tr>

    <tr>
        <td>Arrival Time</td>
        <td>
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "PickupDateArrival";
                                settings.Width = Unit.Pixel(150);
                                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                settings.Properties.EditFormatString = "dd.MM.yyyy";
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                    <td style="width: 1px;">&nbsp;</td>
                    <td>
                        @Html.DevExpress().TimeEdit(
                            settings =>
                            {
                                settings.Name = "PickupTimeArrival";
                                settings.Width = Unit.Pixel(80);
                                settings.Properties.DisplayFormatString = "HH:mm:ss";
                                settings.Properties.EditFormatString = "HH:mm:ss";
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>Departure Time</td>
        <td>
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "PickupDateDeparture";
                                settings.Width = Unit.Pixel(150);
                                settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                settings.Properties.EditFormatString = "dd.MM.yyyy";
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                    <td style="width: 1px;">&nbsp;</td>
                    <td>
                        @Html.DevExpress().TimeEdit(
                            settings =>
                            {
                                settings.Name = "PickupTimeDeparture";
                                settings.Width = Unit.Pixel(80);
                                settings.Properties.DisplayFormatString = "HH:mm:ss";
                                settings.Properties.EditFormatString = "HH:mm:ss";
                                settings.ClientEnabled = true;
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>        
        </td>
    </tr>

    <tr>
        <td colspan="2" align="right">
            <table cellpadding="0" cellspacing="0" style="padding-right: 17px;">
                <tr>
                    <td>
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnAddToGrid";
                                setting.Text = "Ok";
                                setting.Width = 60;
                                setting.UseSubmitBehavior = true;
                                setting.ClientSideEvents.Click = "btnAddToGrid_Click";
                            }
                        ).GetHtml()  
                    </td>
                    <td style="width: 1px;">&nbsp;</td>
                    <td>
                        @Html.DevExpress().Button(
                            setting =>
                            {
                                setting.Name = "btnCancelAddToGrid";
                                setting.Text = "Cancel";
                                setting.Width = 60;
                                setting.UseSubmitBehavior = true;
                                setting.ClientSideEvents.Click = "btnCancelAddToGrid_Click";
                            }
                        ).GetHtml()  
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
@Html.DevExpress().Label(
                label => {
                    label.Name = "butonAdditionaLabel";
                    label.ClientVisible = false;
                }).GetHtml()